English
Common Parameters
About 149 wordsLess than 1 minute
2026-05-18
Common parameters for the OrderPass product detail plugin are listed below.
| Parameter | Description | Type |
|---|---|---|
| params | Context parameters passed to the current event. API events include request or response data, while render events provide access to product detail page data. | Object |
| pluginService | Common plugin parameters. | Object |
Page Data
The dhtProductDetail.render.before event can obtain product detail page data through params.dataGetter.getData().
const data = params.dataGetter.getData();Common fields include:
| Parameter | Description | Type |
|---|---|---|
| skus | SKU data of the current product | Array |
| spuData | SPU data of the current product | Object |
| currentProduct | Currently selected product data | Object |
| allProducts | All product data | Array |
| originProducts | Original product data | Array |
| options | Page options | Object |
| subProducts | Sub-product data | Array |
| specOrder | Specification order | Array |
| metaData | Metadata | Object |
Return Values
dhtProductDetail.RelatedList.beforereturns modified API request parametersdhtProductDetail.RelatedList.afterreturns processed API response datadhtProductDetail.render.beforereturns components to hide and components to append or replace
